y, sr = librosa.load(librosa.util.example_audio_file())
librosa.feature.chroma_stft(y=y, sr=sr)
# array([[ 0.974,  0.881, ...,  0.925,  1.   ],
# [ 1.   ,  0.841, ...,  0.882,  0.878],
# ...,
# [ 0.658,  0.985, ...,  0.878,  0.764],
# [ 0.969,  0.92 , ...,  0.974,  0.915]])

# Use a pre-computed spectrogram with a larger frame

S = np.abs(librosa.stft(y, n_fft=4096))
chroma = librosa.feature.chroma_stft(S=S, sr=sr)
chroma
# array([[ 0.685,  0.477, ...,  0.961,  0.986],
# [ 0.674,  0.452, ...,  0.952,  0.926],
# ...,
# [ 0.844,  0.575, ...,  0.934,  0.869],
# [ 0.793,  0.663, ...,  0.964,  0.972]])

import matplotlib.pyplot as plt
librosa.display.specshow(chroma, y_axis='chroma', x_axis='time')
plt.colorbar()
plt.title('Chromagram')
plt.tight_layout()
